%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-marshalling
Version:          1.4.1
Release:          %mkrel 2
Group:            Development/Java
Summary:          JBoss Marshalling
License:          LGPLv2+
URL:              http://www.jboss.org/jbossmarshalling
BuildArch:        noarch

Source0:          https://github.com/jboss-remoting/jboss-marshalling/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    jboss-parent
BuildRequires:    jboss-modules
BuildRequires:    maven-injection-plugin
BuildRequires:    apiviz

%description
JBoss Marshalling is an alternative serialization API that fixes many
of the problems found in the JDK serialization API while remaining
fully compatible with java.io.Serializable and its relatives, and adds
several new tunable parameters and additional features, all of which
are pluggable via factory configuration (externalizers, class/instance
lookup tables, class resolution, and object replacement, to name a
few).

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin :maven-shade-plugin
%pom_disable_module tests
%pom_disable_module osgi

# Compat symlinks.  TODO: remove once jboss-as is rebuilt to use the
# new JAR names.
%mvn_file :{*} %{name}/@1 @1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc COPYING.txt

%files javadoc -f .mfiles-javadoc
%doc COPYING.txt




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 541937
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.4.1-1.mga4
+ Revision: 496555
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.9-2.mga3
+ Revision: 355076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 1.3.9-1.mga3
+ Revision: 263332
- Sync with fedora

  + gil <gil>
    - update to 1.3.9.GA
    - imported package jboss-marshalling


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.0-1
- Initial packaging

